loads

Get a List of All Loads

Return a list of Loads associated with a Broker. Optionally filter by load_number or external_id.

Securityx-api-key
Request
query Parameters
load_number
string

Filter loads by load number.

external_id
string

Filter loads by external ID.

header Parameters
broker-id
required
integer (broker_id)

The id of the broker

Example: 66305
Responses
200

Example response

get/loads
Request samples
Response samples
application/json
[
  • {
    }
]

Create a Load

Create a Load. If a load with the specified load_number already exists for the broker, the existing load's identifier will be returned with a 201 status instead of creating a duplicate load.

Securityx-api-key
Request
header Parameters
broker-id
required
integer (broker_id)

The id of the broker

Example: 66305
Request Body schema: application/json
load_number
string (loadNumber)

The Load Number

amount
number (amount)

Money in USD to transfer or has been transferred.

external_id
string (external_id)

A unique identifier you have for the item.

payee_id
integer (payee_id)

The unique identifier of the Payee who will receive the funds. It could be a Carrier or a Factoring Company.

Responses
201

Load created successfully or existing load returned. If a load with the same load_number and broker_id already exists, the existing load's identifier is returned instead of creating a duplicate.

400

Bad Request

409

Conflict

post/loads
Request samples
application/json
{
  • "load_number": "abc12234",
  • "amount": 123.45,
  • "external_id": "14973-83",
  • "payee_id": 896876
}
Response samples
application/json
{
  • "id": 87346
}

Get a single Load

Return a single Load associated with a Broker.

Securityx-api-key
Request
path Parameters
load_id
required
string
header Parameters
broker-id
required
integer (broker_id)

The id of the broker

Example: 66305
Responses
200

Example response

get/loads/{load_id}
Request samples
Response samples
application/json
{
  • "id": 87346,
  • "amount": 123.45,
  • "status": "SCHEDULED",
  • "created_datetime": "2023-10-26T00:00:00+00:00",
  • "updated_datetime": "2023-10-26T00:00:00+00:00",
  • "payee": {
    },
  • "carrier_payee": {
    },
  • "payable": {
    }
}
Copyright © RoadSync 2023. All right reserved.